TldRuleSet.Variable (Apache Tomcat 10.1.57 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.tld, class: TldRuleSet, class: Variable

# Class TldRuleSet.Variable

java.lang.Object
org.apache.tomcat.util.descriptor.tld.TldRuleSet.Variable

Enclosing class:
  `TldRuleSet`

public static class TldRuleSet.Variable extends Object
Intermediate representation of a tag variable during TLD parsing.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Variable()`
  Constructs a new Variable.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setClassName(String className)`
  Sets the variable type class name.
  `void`
  `setDeclare(boolean declare)`
  Sets whether to declare the variable.
  `void`
  `setNameFromAttribute(String nameFromAttribute)`
  Sets the attribute name from which to derive the variable name.
  `void`
  `setNameGiven(String nameGiven)`
  Sets the explicit variable name.
  `void`
  `setScope(String scopeName)`
  Sets the variable scope.
  `TagVariableInfo`
  `toTagVariableInfo()`
  Converts this intermediate variable representation to a TagVariableInfo.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Variable

    public Variable()
    Constructs a new Variable.

- ## Method Details

  - ### setNameGiven

    public void setNameGiven(String nameGiven)
    Sets the explicit variable name.
    Parameters:
      `nameGiven` - the variable name

  - ### setNameFromAttribute

    public void setNameFromAttribute(String nameFromAttribute)
    Sets the attribute name from which to derive the variable name.
    Parameters:
      `nameFromAttribute` - the attribute name

  - ### setClassName

    public void setClassName(String className)
    Sets the variable type class name.
    Parameters:
      `className` - the class name

  - ### setDeclare

    public void setDeclare(boolean declare)
    Sets whether to declare the variable.
    Parameters:
      `declare` - true to declare

  - ### setScope

    public void setScope(String scopeName)
    Sets the variable scope.
    Parameters:
      `scopeName` - the scope name

  - ### toTagVariableInfo

    public TagVariableInfo toTagVariableInfo()
    Converts this intermediate variable representation to a TagVariableInfo.
    Returns:
      the TagVariableInfo